package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.UserRole;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：user_role
 *
 * @since 2019-12-01 15:46:21
 */
@MyBatisMapper
public interface UserRoleMapper extends BaseMapper<UserRole> {

    /**
     * @param userRole 用户角色请求对象
     * @return
     * @description 通过用户id和公司id获取用户角色关联关系
     * @date 2019/11/27 10:03 AM
     */
    UserRole getByUserRole(UserRole userRole);


    /**
     * 企管员角色校验
     *
     * @param companyId   维保公司ID
     * @param applyUserId 用户ID
     * @return
     */
    int judgeEnterpriseAdmin(@Param("companyId") long companyId,
                             @Param("applyUserId") long applyUserId);

    /**
     * 获取维保公司名下的全部企管员
     *
     * @param mtCompanyId 维保公司ID
     * @return
     */
    List<Long> getAllEnterpriseAdmin(@Param("mtCompanyId")Long mtCompanyId);
}